package com.bonus.core.customer.v4.web.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;

@TableName("acc_card_hist")
@ApiModel("人员换卡历史记录表")
public class AccCardHist extends Model<AccCardHist> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("账户id")
   private Long accId;
   @ApiModelProperty("卡号")
   private String cardNum;
   @ApiModelProperty("卡序列号")
   private String serialNum;
   @ApiModelProperty("卡类型")
   private Integer cardType;
   @ApiModelProperty("记录类型 1-发卡2-退卡3-换卡")
   private Integer recordType;
   @ApiModelProperty("押金 单位分")
   private Integer deposit;
   @ApiModelProperty("工本费 单位分")
   private Integer productCost;
   @ApiModelProperty("是否删除")
   private Integer ifDel;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("押金、工本费支付方式")
   private Integer payType;
   @ApiModelProperty("押金、工本费支付渠道")
   private Integer payChannel;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("卡面号")
   private String cardFaceNum;

   public Long getId() {
      return this.id;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Long getAccId() {
      return this.accId;
   }

   public String getCardNum() {
      return this.cardNum;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Integer getCardType() {
      return this.cardType;
   }

   public Integer getRecordType() {
      return this.recordType;
   }

   public Integer getDeposit() {
      return this.deposit;
   }

   public Integer getProductCost() {
      return this.productCost;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public Integer getPayChannel() {
      return this.payChannel;
   }

   public String getRemark() {
      return this.remark;
   }

   public String getCardFaceNum() {
      return this.cardFaceNum;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setAccId(final Long accId) {
      this.accId = accId;
   }

   public void setCardNum(final String cardNum) {
      this.cardNum = cardNum;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setCardType(final Integer cardType) {
      this.cardType = cardType;
   }

   public void setRecordType(final Integer recordType) {
      this.recordType = recordType;
   }

   public void setDeposit(final Integer deposit) {
      this.deposit = deposit;
   }

   public void setProductCost(final Integer productCost) {
      this.productCost = productCost;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setPayChannel(final Integer payChannel) {
      this.payChannel = payChannel;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setCardFaceNum(final String cardFaceNum) {
      this.cardFaceNum = cardFaceNum;
   }

}
